<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/package.php';

$database = new Database();
$db = $database->getConnection();
 
$package = new Package($db);
$data = json_decode(file_get_contents("php://input"));

$package->city = $data->city;
$package->mbps = isset($data->mbps)?$data->mbps:"";
$package->months = isset($data->months)?$data->months:"";

$stmt = $package->getAllPackages();
$num = $stmt->rowCount();

$arr=array();
$arr["records"]=array();
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $detail = array(
			"id" => $id,
			"city" => $city,
	        "mbps" => $mbps,
	        "months" => isset($months)?$months:"",
            "package" => $package
        );
        array_push($arr["records"], $detail);
    }
}
echo json_encode($arr);
?>